Bug 844703 - [rhevm-reports] - Remote DB - Failed to run Reports-setup on a Remote DB Environment
[rhevm-reports] - Remote DB - Failed to run Reports-setup on a Remote DB Envi...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-reports (Show other bugs)
3.1.0
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Yaniv Lavi
David Botzer
infra integration
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-31 08:42 EDT by David Botzer
Modified: 2015-09-22 09 EDT (History)
7 users (show)

See Also:
Fixed In Version: SI14 - ovirt-engine-reports-3.1.0-6.noarch.rpm
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:58:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
reports-setup (3.23 KB, application/octet-stream)
2012-07-31 08:42 EDT, David Botzer
no flags Details

  None (edit)
Description David Botzer 2012-07-31 08:42:15 EDT
Created attachment 601520 [details]
reports-setup

Description of problem:
in a remote db setup, Failed to run Reports-setup

Fails to start the installation and to fetch the reports
Also didnt created the rhevmreports db

Version-Release number of selected component (if applicable):
3.1/si12

How reproducible:
always

Steps to Reproduce:
1.install rhevm with remote db
2.install reports & jasperreports
3.run ovirt-engine-reports-setup
  
Actual results:
Setup fails

Expected results:
Should install & create rhevmreports db on remote server

Additional info:

2012-07-31 15:39:29::ERROR::decorators::26::root:: Traceback (most recent call last):
  File "/usr/share/ovirt-engine-reports/decorators.py", line 21, in wrapped_f
    output = f()
  File "/usr/share/ovirt-engine-reports/common_utils.py", line 401, in startPostgresService
    execExternalCmd(cmd, True, "Failed while trying to start the postgresql service")
  File "/usr/share/ovirt-engine-reports/common_utils.py", line 305, in execExternalCmd
    raise Exception(msg)
Exception: Failed while trying to start the postgresql service

2012-07-31 15:39:29::ERROR::ovirt-engine-reports-setup::762::root:: Exception caught!
2012-07-31 15:39:29::ERROR::ovirt-engine-reports-setup::763::root:: Traceback (most recent call last):
  File "/usr/bin/ovirt-engine-reports-setup", line 643, in main
    utils.startPostgres()
  File "/usr/share/ovirt-engine-reports/common_utils.py", line 395, in startPostgres
    startPostgresService()
  File "/usr/share/ovirt-engine-reports/decorators.py", line 27, in wrapped_f
    raise Exception(instance)
Exception: Failed while trying to start the postgresql service
Comment 3 David Botzer 2012-08-16 06:34:10 EDT
Fixed, 3.1/si14
am Able to install Reports Portal on rhevm with remote db
- Dashboards via webadmin Tab, and connect directly to reports
Fixed, 3.1/si14

Note You need to log in before you can comment on or make changes to this bug.